Luxor Documentation Hub Logo
Commander/API Documentation

Get miners

Returns a paginated list of miners with optional filtering by site, agent, status, model, and firmware.

GET
/v2/commander/miners

Authorization

authorization<token>

Use your API key here.

In: header

Query Parameters

site_idstring
Format: "uuid"
agent_idstring
Format: "uuid"
hashing_statusstring
Value in: "hashing" | "idle" | "offline" | "N/A"
healthy_statusstring
Value in: "healthy" | "failing" | "N/A"
modelstring
firmwarestring
Value in: "LuxOS" | "Whatsminer" | "Bitmain" | "MicroBT"
sort_bystring
Value in: "hashrate" | "max_temperature" | "power" | "model" | "firmware" | "ip_address" | "last_seen_at"
sort_orderstring
Default: "asc"Value in: "asc" | "desc"
page_numberinteger
Default: 1Minimum: 1
page_sizeinteger
Default: 25Minimum: 1
curl -X GET "https://app.luxor.tech/api/v2/commander/miners?site_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&agent_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&hashing_status=hashing&healthy_status=healthy&model=%3Cstring%3E&firmware=LuxOS&sort_by=hashrate&sort_order=asc&page_number=1&page_size=25" \
  -H "authorization: <token>"

Default Response

{
  "miners": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "ip_address": "10.0.1.42",
      "mac_address": "AA:BB:CC:DD:EE:FF",
      "model": "S19 Pro",
      "firmware": {
        "name": "LuxOS",
        "version": "2024.12.1"
      },
      "hashing_status": "hashing",
      "healthy_status": "healthy",
      "site_id": "b0a5fad8-1234-5678-9abc-def012345678",
      "agent_id": "056a4f62-1234-5678-9abc-def012345678",
      "hashrate": "110000000000000",
      "power": 3250,
      "max_temperature": 65,
      "fan_speed": [
        4200,
        4180,
        4180,
        4100
      ],
      "pool": {
        "url": "stratum+tcp://pool.example.com:3333",
        "username": "lux_phx_0",
        "worker": "myworker.001"
      },
      "last_seen_at": "2026-02-20T12:00:00Z",
      "url": "/v2/commander/miners/a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ],
  "pagination": {
    "page_number": 1,
    "page_size": 1,
    "item_count": 0,
    "previous_page_url": null,
    "next_page_url": null
  }
}